	SUBROUTINE DSSETENY(IGPTB,MY,IPAN,IQPNT)
****************************************************************
*  Subroutine calculates change in Eny for semicore states.    *
****************************************************************
	IMPLICIT REAL*8 (A-H,O-Z)
	INCLUDE 'PARAM.DAT'
	INTEGER ILST(NSORTMAX),ILSB(NSORTMAX),ILSV(NSORTMAX)
     &   ,NHSORT(NSORTMAX),IS(NPAT),NRAD(NSORTMAX),LR(NSORTMAX)
     &   ,NODES(0:LMAXT,NSORTMAX,NKAPMAX,NPANMAX),NKAP(NPANMAX)
     &   ,MNY(0:LMAXT,NSORTMAX,NKAPMAX,NPANMAX)
     &   ,IATS(NPAT,NPANMAX),ISTS(NSORTMAX,NPANMAX)
	COMPLEX*16 HAN(3,-1:LMAXB),DFPMN(0:LMAXT),HANDOT,HANDDOT
     &   ,EK(NKAPMAX,NPANMAX),EKAP(NKAPMAX,NPANMAX),EC,HT
     &   ,DPOT(0:NRADMAX,LMMAXV,NPAT,NSPINMAX),DENYT(0:LMAXT)
     &   ,DELENY(0:LMAXT,NPAT,NKAPMAX,NPANMAX,NSPINMAX,0:NENVMAX,-1:2)
     &   ,DELDNY(0:LMAXT,NPAT,NKAPMAX,NPANMAX,NSPINMAX,0:NENVMAX,-1:2)
     &   ,DELTNY(0:LMAXT,NPAT,NKAPMAX,NPANMAX,NSPINMAX,0:NENVMAX,-1:2)
     &   ,DFI S(0:LMAXT,NKAPMAX),DFID S(0:LMAXT,NKAPMAX)
     &   ,DFIPS(0:LMAXT,NKAPMAX),DFIDPS(0:LMAXT,NKAPMAX)
     &   ,WDFIFI,WFIPFI,WHAPHA,WDVPHA,DENY0
	DIMENSION DNY(0:LMAXT,NSORTMAX,NKAPMAX,NPANMAX,NSPINMAX)
     &   ,ENY(0:LMAXT,NSORTMAX,NKAPMAX,NPANMAX,NSPINMAX)
     &   ,TNY(0:LMAXT,NSORTMAX,NKAPMAX,NPANMAX,NSPINMAX)
     &   ,AFI S(0:LMAXT,NKAPMAX),AFID S(0:LMAXT,NKAPMAX)
     &   ,AFIPS(0:LMAXT,NKAPMAX),AFIDPS(0:LMAXT,NKAPMAX)
     &   ,R(0:NRADMAX,NSORTMAX),DR(0:NRADMAX,NSORTMAX)
     &   ,VSPH(0:NRADMAX,NSORTMAX,NSPINMAX),H(NSORTMAX),SMT(NSORTMAX)
     &   ,DNYP(0:LMAXT,NKAPMAX),FPMN(0:LMAXT)
	LOGICAL LTPAN(0:LMAXT+1,NPAT,NKAPMAX,NPANMAX)
     &   ,LSPAN(0:LMAXT+1,NSORTMAX,NKAPMAX,NPANMAX)
	CHARACTER TXTEL(NSORTMAX)*10
	COMMON /PARAM/  NSORT,IS,ILST,ILSB,ILSV,NATOM        !!! from init
	COMMON /POTCOM/ SWZ,SMT,VSPH                         !!! from vfull
	COMMON /INPPAR/ TNY,ENY,DNY,NODES,MNY                !!! from init
	COMMON /KAPPAR/ NPAN,NKAP,EK,EKAP                    !!! from init
	COMMON /PANPAR/ LTPAN,LSPAN,IATS,ISTS                !!! from init
	COMMON /DINPPAR/DELTNY,DELENY,DELDNY                 !!! from init
	COMMON /DELPOT/ DPOT                                 !!! from delpot
	COMMON /RELATIV/LR                                   !!! from init
	COMMON /RADMESH/NRAD,H,R,DR                          !!! from radmsh
	COMMON /SPIN/   NSPIN                                !!! from init
	COMMON /DLFCOM/ NDLF,LDLF,IDLF                       !!! from init
	COMMON /UNIT/   IUN                                  !!! from init
	COMMON /TXTEL/  TXTEL                                !!! from init
	DATA PI/3.141592653589793D0/
	SQPI4=SQRT(4.D0*PI)
	DO 1000 ISPIN=1,NSPIN                             !!! over spins
C  ****** ENY VARIATION  ******
	DO IATOM=1,NATOM                                  !!! over iatom
	ISORT=IS(IATOM)
	DO IKAP=1,NKAP(IPAN)                              !!! over ikap
	DO L=0,ILST(ISORT)
	DELENY(L,IATOM,IKAP,IPAN,ISPIN,IGPTB,MY)=(0.D0,0.D0)
	DENYT(L)=(0.D0,0.D0)
        ENDDO    
	IF(LDLF.EQ.2)THEN
C  SOLVE RADIAL SCHROEDINGER EQUATION IN CASE DELTA{ENY} IS NULL
	CALL DRUNGE(ENY(0,ISORT,IKAP,IPAN,ISPIN),DENYT(0),AFIS(0,IKAP),
     &  AFIPS(0,IKAP),AFIDS(0,IKAP),AFIDPS(0,IKAP),FPMN,
     &  DFIS(0,IKAP),DFIPS(0,IKAP),DFIDS(0,IKAP),DFIDPS(0,IKAP),
     &  DFPMN,SMT(ISORT),VSPH(0,ISORT,ISPIN),DPOT(0,1,IATOM,ISPIN),
     &  ILST(ISORT),NRAD(ISORT),H(ISORT),R(0,ISORT),DR(0,ISORT),
     &  LR(ISORT))
C  CALCULATE CHANGE IN ENY'S UPON THE PERTURBATION
        DO L=0,ILST(ISORT)
        WDFIFI=SMT(ISORT)/AFIS(L,IKAP)*(DFIDS(L,IKAP)-
     &  AFIDS(L,IKAP)/AFIS(L,IKAP)*DFIS(L,IKAP))
        WFIPFI=SMT(ISORT)/AFIS(L,IKAP)*(AFIDPS(L,IKAP)-
     &  AFIDS(L,IKAP)/AFIS(L,IKAP)*AFIPS(L,IKAP))
        DELENY(L,IATOM,IKAP,IPAN,ISPIN,IGPTB,MY)=-WDFIFI/WFIPFI
        ENDDO    
	ENDIF
        ENDDO                                             !!! over ikap 
        ENDDO                                             !!! over iatom
C  FOR DEEP LYING SEMICORE STATES TAKE INTO ACCOUNT THAT DELDNY CAN BE .NE.0
        IF(IPAN.NE.1.AND.LDLF.EQ.2)THEN
        DO IATOM=1,NATOM                                  !!! over iatom
        ISORT=IS(IATOM)
        IF(IATS(IATOM,IPAN).NE.0)THEN
        DO IKAP=1,NKAP(IPAN)                              !!! over ikap
        DO L=0,ILSB(ISORT)
        DENYT(L)=(0.D0,0.D0)
        ENDDO    
C  SOLVE RADIAL SCHROEDINGER EQUATION IN CASE DELTA{ENY} IS NULL
        CALL DRUNGE(ENY(0,ISORT,IKAP,IPAN,ISPIN),DENYT(0),AFIS(0,IKAP),
     &  AFIPS(0,IKAP),AFIDS(0,IKAP),AFIDPS(0,IKAP),FPMN,
     &  DFIS(0,IKAP),DFIPS(0,IKAP),DFIDS(0,IKAP),DFIDPS(0,IKAP),
     &  DFPMN,SMT(ISORT),VSPH(0,ISORT,ISPIN),DPOT(0,1,IATOM,ISPIN),
     &  ILSB(ISORT),NRAD(ISORT),H(ISORT),R(0,ISORT),DR(0,ISORT),
     &  LR(ISORT))
C  FIND HANKEL FUNCTIONS AND THEIR ENERGY DERIVATIVES
        DO L=0,ILSB(ISORT)
        IF(LSPAN(L,ISORT,IKAP,IPAN))THEN
        VMTS=-VSPH(NRAD(ISORT),ISORT,ISPIN)/R(NRAD(ISORT),ISORT)
        EC=ENY(L,ISORT,IKAP,IPAN,ISPIN)-VMTS
        CALL HANKEL(SMT(ISORT),EC,SMT(ISORT),HAN(1,0),ILSB(ISORT))
        IF(ABS(EC).NE.0.D0)HT=-(0.D0,1.D0)/SQRT(EC)/SMT(ISORT)
        IF(ABS(EC).EQ.0.D0)HT=(1.D0,0.D0)
        DO ID=1,3
        HAN(ID,-1)=HT*HAN(ID,0)
        ENDDO    
        IF(ABS(EC).EQ.0.D0)HAN(2,-1)=(0.D0,0.D0)
        HANDOT=0.5D0*SMT(ISORT)*SMT(ISORT)/(2.D0*L-1.D0)*HAN(1,L-1)
        HANDDOT=0.5D0*SMT(ISORT)/(2.D0*L-1.D0)*(HAN(1,L-1)+
     &  SMT(ISORT)*HAN(2,L-1))
C  CALCULATE CHANGE IN ENY'S UPON THE PERTURBATION
        WDFIFI=SMT(ISORT)/AFIS(L,IKAP)*(DFIDS(L,IKAP)-
     &  AFIDS(L,IKAP)/AFIS(L,IKAP)*DFIS(L,IKAP))
        WFIPFI=SMT(ISORT)/AFIS(L,IKAP)*(AFIDPS(L,IKAP)-
     &  AFIDS(L,IKAP)/AFIS(L,IKAP)*AFIPS(L,IKAP))
        WHAPHA=SMT(ISORT)/HAN(1,L)*(HANDDOT-HAN(2,L)/HAN(1,L)*HANDOT)
        WDVPHA=DPOT(NRAD(ISORT),1,IATOM,ISPIN)*WHAPHA/SQPI4
        DELENY(L,IATOM,IKAP,IPAN,ISPIN,IGPTB,MY)=(WDFIFI+WDVPHA)/
     &  (WHAPHA-WFIPFI)
	ENDIF
        ENDDO    
        ENDDO                                                !!! over ikap
	ENDIF
        ENDDO                                                !!! over iatom
        ENDIF
1000	CONTINUE                                             !!! over spins
        END
