	   SUBROUTINE DMULTRHO(IGPTB,MY,IQPNT)
**************************************************************
*  Calculates induced multipoles.                            *
**************************************************************
	IMPLICIT REAL*8 (A-H,O-Z)
	INCLUDE 'PARAM.DAT'
	INTEGER ILST(NSORTMAX),ILSB(NSORTMAX),ILSV(NSORTMAX)
     &    ,IS(NPAT),NHSORT(NSORTMAX),NRAD(NSORTMAX)
	DIMENSION ZCOR(NSORTMAX),H(NSORTMAX),R(0:NRADMAX,NSORTMAX)
     &    ,ROCOR(0:NRADMAX,NSORTMAX,NSPINMAX),BET(0:LMAXV,NSORTMAX)
     &    ,RL(0:NRADMAX,0:LMAXV,NSORTMAX),SMT(NSORTMAX),Z(NSORTMAX)
     &    ,WEIGHT(0:NRADMAX,NSORTMAX),DR(0:NRADMAX,NSORTMAX)
     &    ,BES(0:LMAXV+1),BESD(0:LMAXV+1),TAU(3,NPAT),GPLW(3,0:NPLWMAX)
     &    ,ORTH(2:3),BT(0:LMAXV+1),QPNT(3)
	COMPLEX*16 EXPT,WORK2(0:NRADMAX),SS(LMMAXV1,LMMAXV1)
     &    ,DRHO(0:NRADMAX,LMMAXV,NPAT,NSPINMAX),RHAN(0:LMAXV+1)
     &    ,DMAG(0:NRADMAX,LMMAXV,NPAT,NSPINMAX),WORK1(0:NRADMAX)
     &    ,DELMRO (LMMAXV,NPAT,NSPINMAX,0:NENVMAX,-1:2),YLM(LMMAXV)
     &    ,DPSMOM1(LMMAXV,NPAT,NSPINMAX,0:NENVMAX,-1:2)
     &    ,DPSMOM (LMMAXV,NPAT,NSPINMAX,0:NENVMAX,-1:2)
     &    ,DELMAD (LMMAXV,NPAT,NSPINMAX,0:NENVMAX,-1:2)
     &    ,DELMAG (LMMAXV,NPAT,NSPINMAX,0:NENVMAX,-1:2)
	CHARACTER TXTEL(NSORTMAX)*10
C Controls:
        COMMON /CONTROL/LIFT,LMTO,NSPH,NINT,NPF,MODE        !!! from readini
	COMMON /PARAM/  NSORT,IS,ILST,ILSB,ILSV,NATOM,NHSORT!!! from readini
	COMMON /SPIN/   NSPIN                               !!! from readini
	COMMON /ORBS/   NORBS                               !!! from qvector
C Inputs:
	COMMON /POTCOM/ SWZ,SMT                             !!! from readini
	COMMON /BASIS/  TAU                                 !!! from readstr
	COMMON /MULTRO/ Z,ZCOR                              !!! from multrho
	COMMON /QMESH/  NQPNT,QPNT                          !!! from qvector
C Radial mesh:
	COMMON /RADMESH/NRAD,H,R,DR,WEIGHT,RL               !!! from radmsh
	COMMON /BETPAR/ BET                                 !!! from multro
C Plane waves:
	COMMON /PLWMESH/NPLW,GPLW                           !!! from plwmsh
	COMMON /LATPAR/ PAR,ORTH,OMEGAC                     !!! from readini
C Density:
	COMMON /DELRO/  DRHO,DMAG                           !!! from delrho
	COMMON /DROMULT/DELMRO,DPSMOM,DPSMOM1,DELMAD,DELMAG !!! from multrho
C Outputs:
	COMMON /UNIT/   IUN                                 !!! from readini
	COMMON /TXTEL/  TXTEL                               !!! from init
	DATA PI/3.141592653589793D0/
	SQPI4=2.D0*SQRT(PI)
	DO ISPIN=1,NSPIN
	ITRAN=ISPIN
	DO IATOM=1,NATOM
	ISORT=IS(IATOM)
	DO L=0,ILSV(ISORT)
	DO M=-L,L
	LM=L*(L+1)+M+1
	SL=SMT(ISORT)**L
C   CALCULATE MOMENTS OF THE INDUCED DENSITY WITHIN SPHERE
	DO IRAD=0,NRAD(ISORT)
	WORK1(IRAD)=DRHO(IRAD,LM,IATOM,ISPIN)*
     &  RL(IRAD,L,ISORT)/SL*WEIGHT(IRAD,ISORT)/SQRT(4.D0*PI)
        ENDDO     
	CALL CQD(H(ISORT),WORK1,WORK2,NRAD(ISORT)+1)
	DELMRO(LM,IATOM,ISPIN,IGPTB,MY)=WORK2(NRAD(ISORT))
C   CALCULATE INDUCED MAGNETIC MOMENTS
	DO IRAD=0,NRAD(ISORT)
	WORK1(IRAD)=DMAG(IRAD,LM,IATOM,ITRAN)*
     &  RL(IRAD,L,ISORT)/SL*WEIGHT(IRAD,ISORT)/SQRT(4.D0*PI)
        ENDDO     
	CALL CQD(H(ISORT),WORK1,WORK2,NRAD(ISORT)+1)
	DELMAG(LM,IATOM,ITRAN,IGPTB,MY)=WORK2(NRAD(ISORT))
        ENDDO     
        ENDDO     
        ENDDO     
        ENDDO     
C   CALCULATE MULTIPOLE FIELD
        DO ISPIN=1,NSPIN                         !!! over spins
        DO IATOM=1,NATOM                         !!! over iatom
        ISORT=IS(IATOM)
        DO L=0,ILSV(ISORT)                       !!! over l
        ST=SQRT(4.D0*PI)/SMT(ISORT)/(2.D0*L+1.D0)
        DO M=-L,L                                !!! over m
        LM=L*(L+1)+M+1
        DELMAD(LM,IATOM,ISPIN,IGPTB,MY)=(0.D0,0.D0)
        ENDDO                                    !!! over m
        ENDDO                                    !!! over l
        DO JATOM=1,NATOM                         !!! over jatom
        JSORT=IS(JATOM)
        CALL STRMAT(IATOM,JATOM,SS)              !!! restore str.matrix
        DO L=0,ILSV(ISORT)                       !!! over l
        ST=SQRT(4.D0*PI)/SMT(ISORT)/(2.D0*L+1.D0)
        DO M=-L,L                                !!! over m
        LM=L*(L+1)+M+1
        DO L1=0,ILSV(JSORT)                      !!! over l1
        ST1=1.D0/SMT(JSORT)/(2.D0*L1+1.D0)
        SL1=SMT(JSORT)**L1
        DO M1=-L1,L1                             !!! over m1
        LM1=L1*(L1+1)+M1+1
        DELMAD(LM,IATOM,ISPIN,IGPTB,MY)=
     &  DELMAD(LM,IATOM,ISPIN,IGPTB,MY)-ST*SS(LM,LM1)*
     &  DELMRO(LM1,JATOM,ISPIN,IGPTB,MY)*ST1
        ENDDO                                    !!! over m1
        ENDDO                                    !!! over l1
        ENDDO                                    !!! over m
        ENDDO                                    !!! over l
        ENDDO                                    !!! over jatom
        ENDDO                                    !!! over iatom
        ENDDO                                    !!! over spins
	END
