	SUBROUTINE MIXHUB(IQPNT,ITER,KY)
**********************************************************
*  Mixes old and new partial occupancies.                *
**********************************************************
	IMPLICIT REAL*8 (A-H,O-Z)
	INCLUDE 'PARAM.DAT'
        PARAMETER (NSTNMAX=4*NKAPMAX*NKAPMAX)
	INTEGER ILST(NSORTMAX),ILSB(NSORTMAX),ILSV(NSORTMAX)
     &   ,IS(NPAT),NHSORT(NSORTMAX),NKAP(NPANMAX)
     &   ,NITER(0:NENVMAX,-1:2),LBROY(0:NENVMAX,-1:2)
     &   ,IBROY(0:NENVMAX,-1:2),KEY  (0:NENVMAX,-1:2)
     &   ,KSP  (0:NENVMAX,-1:2),MTER (0:NENVMAX,-1:2)
        DIMENSION SMT(NSORTMAX)
     &   ,ADMIN (0:NENVMAX,-1:2),ADMIX1(0:NENVMAX,-1:2)
     &   ,ADMAX (0:NENVMAX,-1:2),ADMSPN(0:NENVMAX,-1:2)
     &   ,ASMIN (0:NENVMAX,-1:2),ASMAX (0:NENVMAX,-1:2)
     &   ,ADMOPT(0:NENVMAX,-1:2),ADSPIN(0:NENVMAX,-1:2)
     &   ,ADMIXB(0:NENVMAX,-1:2),ADMIXH(0:NENVMAX,-1:2)
	COMPLEX*16 AMINP,AMNEW,AMOUT,ROOUT,ROINP,RONEW
     &   ,DELDHUB(LIMLMB2,NPAT,NSPINMAX,0:NENVMAX,-1:2)
     &   ,OLDDHUB(LIMLMB2,NPAT,NSPINMAX,0:NTERMAX,0:NENVMAX,-1:2)
     &   ,DELMHUB(LIMLMB2,NPAT,NSPINMAX,0:NENVMAX,-1:2)
     &   ,OLDMHUB(LIMLMB2,NPAT,NSPINMAX,0:NTERMAX,0:NENVMAX,-1:2)
     &   ,WMIX(NTERMAX,NTERMAX,0:NENVMAX,-1:2),DELP(4)
     &   ,WINP(NTERMAX,0:NENVMAX,-1:2)
	CHARACTER*10 TXTEL(NSORTMAX)
C Controls:
        COMMON /CONTROL/LIFT,LMTO,NSPH,NINT,NPF,MODE         !!! from readini
        COMMON /PARAM/  NSORT,IS,ILST,ILSB,ILSV,NATOM        !!! from readini
        COMMON /STNCOM/ NSTN,LSTN,ISTN                       !!! from readini
        COMMON /ORBS/   NORBS                                !!! from readini
        COMMON /SPIN/   NSPIN                                !!! from readini
C Inputs:
        COMMON /MAGCOM/ ITERMAX,NITER                        !!! from qvector
	COMMON /POTCOM/ SWZ,SMT                              !!! from readini
	COMMON /KAPPAR/ NPAN,NKAP                            !!! from readini
        COMMON /PTBCOM/ NGSHL,NGPTB                          !!! from plwptb
C Mixing:
        COMMON /MIXDRHO/ADMIX1,ADMIN,ADMAX,KEY,ADMOPT        !!! from mixdrho
        COMMON /MIXDMAG/ADMSPN,ASMIN,ASMAX,KSP,ADSPIN        !!! from mixdrho
        COMMON /MIXDBRD/LBROY,IBROY,ADMIXB,ADMIXH,MTER,WINP,WMIX!from mixbrd
C Occupancies
        COMMON /DELHUB/ DELDHUB,DELMHUB
C Outputs:
	COMMON /UNIT/   IUN                                  !!! from readini
	COMMON /TXTEL/  TXTEL                                !!! from readini
	SAVE OLDDHUB,OLDMHUB
	DATA PI/3.141592653589793D0/,ISCHEME/2/
	IF(MODE.EQ.4.OR.MODE.EQ.5)RETURN
C *** DO GLOBALLY OVER POLARIZATIONS
        DO 2000 MY=-1,2                          !!! over polarizations
        DO 1000 IGPTB=0,NGPTB                    !!! over g-vectors
        IF(NITER(IGPTB,MY).EQ.0)GOTO1000
        IF(ISCHEME.EQ.1.OR.LBROY(IGPTB,MY).LT.0)THEN
C  DO LINEAR MIXING FOR OCCUPANCIES
        DO IATOM=1,NATOM                          !!! over atoms
        ISORT=IS(IATOM)
        DO L=0,ILSB(ISORT)                        !!! over l
        DO M=-L,L                                 !!! over m
        DO K=-L,L                                 !!! over k
        LM=L*(L+1)+M+1
        LK=L*(L+1)+K+1
        IU=L*(2*L-1)*(2*L+1)/3+(2*L+1)*(L+K)+L+M+1           !  (l,m k) packed
        IF(KY.EQ.2)THEN
C  DENSITY MIXING
        ROOUT=(DELDHUB(IU,IATOM,1,IGPTB,MY)+
     &  DELDHUB(IU,IATOM,NSPIN,IGPTB,MY))/2.D0*DBLE(NSPIN)
        ROINP=(OLDDHUB(IU,IATOM,1,0,IGPTB,MY)+
     &  OLDDHUB(IU,IATOM,NSPIN,0,IGPTB,MY))/2.D0*DBLE(NSPIN)
        RONEW=ADMOPT(IGPTB,MY)*ROOUT+(1.D0-ADMOPT(IGPTB,MY))*ROINP
C  Z-MAGNETIZATION
        AMOUT=(DELDHUB(IU,IATOM,1,IGPTB,MY)-
     &         DELDHUB(IU,IATOM,NSPIN,IGPTB,MY))
        AMINP=(OLDDHUB(IU,IATOM,1,0,IGPTB,MY)-
     &         OLDDHUB(IU,IATOM,NSPIN,0,IGPTB,MY))
        AMNEW=ADSPIN(IGPTB,MY)*AMOUT+(1.D0-ADSPIN(IGPTB,MY))*AMINP
        DELDHUB(IU,IATOM,1,IGPTB,MY)=(RONEW+AMNEW)/DBLE(NSPIN)
        DELDHUB(IU,IATOM,NSPIN,IGPTB,MY)=(RONEW-AMNEW)/DBLE(NSPIN)
C  +/- MAGNETIZATION
	DO ITRAN=1,NSPIN
        AMOUT=DELMHUB(IU,IATOM,ITRAN,IGPTB,MY)
        AMINP=OLDMHUB(IU,IATOM,ITRAN,0,IGPTB,MY)
        AMNEW=ADSPIN(IGPTB,MY)*AMOUT+(1.D0-ADSPIN(IGPTB,MY))*AMINP
        DELMHUB(IU,IATOM,ITRAN,IGPTB,MY)=AMNEW
	ENDDO
        ENDIF
        DO ISPIN=1,NSPIN                          !!! over spins
	ITRAN=ISPIN
        OLDDHUB(IU,IATOM,ISPIN,0,IGPTB,MY)=
     &  DELDHUB(IU,IATOM,ISPIN,IGPTB,MY)
        OLDMHUB(IU,IATOM,ITRAN,0,IGPTB,MY)=
     &  DELMHUB(IU,IATOM,ITRAN,IGPTB,MY)
        ENDDO                                     !!! over spins
        ENDDO                                     !!! over k
        ENDDO                                     !!! over m
        ENDDO                                     !!! over l
        ENDDO                                     !!! over atoms
        ELSEIF(ISCHEME.EQ.2.AND.LBROY(IGPTB,MY).GE.0)THEN
C  DO BROYDEN MIXING FOR OCCUPANCIES
        DO ISPIN=1,NSPIN                          !!! over spins
	ITRAN=ISPIN
        DO IATOM=1,NATOM                          !!! over atoms
        ISORT=IS(IATOM)
        DO L=0,ILSB(ISORT)                        !!! over l
        DO M=-L,L                                 !!! over m
        DO K=-L,L                                 !!! over k
        LM=L*(L+1)+M+1
        LK=L*(L+1)+K+1
        IU=L*(2*L-1)*(2*L+1)/3+(2*L+1)*(L+K)+L+M+1           !  (l,m k) packed
        IF(KY.EQ.1.AND.MTER(IGPTB,MY).EQ.0)THEN
        OLDDHUB(IU,IATOM,ISPIN,MTER(IGPTB,MY),IGPTB,MY)=
     &  DELDHUB(IU,IATOM,ISPIN,IGPTB,MY)
        OLDMHUB(IU,IATOM,ITRAN,MTER(IGPTB,MY),IGPTB,MY)=
     &  DELMHUB(IU,IATOM,ITRAN,IGPTB,MY)
	ENDIF
        IF(KY.EQ.2)THEN
        OLDDHUB(IU,IATOM,ISPIN,MTER(IGPTB,MY),IGPTB,MY)=
     &  DELDHUB(IU,IATOM,ISPIN,IGPTB,MY)
        OLDMHUB(IU,IATOM,ITRAN,MTER(IGPTB,MY),IGPTB,MY)=
     &  DELMHUB(IU,IATOM,ITRAN,IGPTB,MY)
        RONEW=WINP(MTER(IGPTB,MY),IGPTB,MY)*
     &  OLDDHUB(IU,IATOM,ISPIN,0,IGPTB,MY)
        AMNEW=WINP(MTER(IGPTB,MY),IGPTB,MY)*
     &  OLDMHUB(IU,IATOM,ITRAN,0,IGPTB,MY)
        DO LTER=1,MTER(IGPTB,MY)                  !!! over iterations
        RONEW=RONEW+WMIX(MTER(IGPTB,MY),LTER,IGPTB,MY)*
     &  OLDDHUB(IU,IATOM,ISPIN,LTER,IGPTB,MY)
        AMNEW=AMNEW+WMIX(MTER(IGPTB,MY),LTER,IGPTB,MY)*
     &  OLDMHUB(IU,IATOM,ITRAN,LTER,IGPTB,MY)
        ENDDO                                     !!! over iterations
        DELDHUB(IU,IATOM,ISPIN,IGPTB,MY)=RONEW
        DELMHUB(IU,IATOM,ITRAN,IGPTB,MY)=AMNEW
        ENDIF
        ENDDO                                     !!! over k
        ENDDO                                     !!! over m
        ENDDO                                     !!! over l
        ENDDO                                     !!! over atoms
        ENDDO                                     !!! over spins
        ENDIF
1000	CONTINUE                                  !!! over g-vectors
2000	CONTINUE                                  !!! over polarizations
C  PRINT OCCUPANCIES
	IF(KY.NE.2)RETURN
        WRITE(IUN,1001)
1001	FORMAT(1X,'***** Test print for induced moments ->')
        DO MY=-1,2                                !!! over polarizations
        DO IGPTB=0,NGPTB                          !!! over g-vectors
        IF(NITER(IGPTB,MY).EQ.0)CYCLE
        WRITE(IUN,1002)MY
1002    FORMAT(1X,'MAGNETIC FIELD POLARIZATION "',I2,'" ')
        DO IATOM=1,NATOM                          !!! over atoms
        ISORT=IS(IATOM)
	DELP(1)=(0.D0,0.D0)
	DELP(2)=(0.D0,0.D0)
	DELP(3)=(0.D0,0.D0)
	DELP(4)=(0.D0,0.D0)
        DO L=0,ILSB(ISORT)                        !!! over l
        DO M=-L,L                                 !!! over m
        DO K= M,M                                 !!! over k
        LM=L*(L+1)+M+1
        LK=L*(L+1)+K+1
        IU=L*(2*L-1)*(2*L+1)/3+(2*L+1)*(L+K)+L+M+1           !  (l,m k) packed
	DELP(1)=DELP(1)+(DELDHUB(IU,IATOM,1,IGPTB,MY)+
     &  DELDHUB(IU,IATOM,NSPIN,IGPTB,MY))*0.5D0*DBLE(NSPIN)
	DELP(2)=DELP(2)+(DELDHUB(IU,IATOM,1,IGPTB,MY)-
     &  DELDHUB(IU,IATOM,NSPIN,IGPTB,MY))
	DELP(3)=DELP(3)+DELMHUB(IU,IATOM,1,IGPTB,MY)
	DELP(4)=DELP(4)+DELMHUB(IU,IATOM,NSPIN,IGPTB,MY)
        ENDDO                                     !!! over k
        ENDDO                                     !!! over m
        ENDDO                                     !!! over l
        DELP(1)=CNUM0P(DELP(1),1.D-07)
        DELP(2)=CNUM0P(DELP(2),1.D-07)
        DELP(3)=CNUM0P(DELP(3),1.D-07)
        DELP(4)=CNUM0P(DELP(4),1.D-07)
        WRITE(IUN,1030)TXTEL(ISORT)
        WRITE(IUN,1031)DELP(1)
        WRITE(IUN,1032)DELP(2)
        WRITE(IUN,1033)DELP(3)
        WRITE(IUN,1034)DELP(4)
1030    FORMAT(1X,23X,'dM_iat[NEW]',3X,A10)
1031    FORMAT(1X,' Charge  :',2X,'(',G12.5,',',G12.5,')')
1032    FORMAT(1X,'Z-Moment :',2X,'(',G12.5,',',G12.5,')')
1033    FORMAT(1X,'M-Moment :',2X,'(',G12.5,',',G12.5,')')
1034    FORMAT(1X,'P-Moment :',2X,'(',G12.5,',',G12.5,')')
        ENDDO                                     !!! over atoms
        ENDDO                                     !!! over g-vectors
        ENDDO                                     !!! over polarizations
	END
