	SUBROUTINE PRINT3(IGPTB,MY,IQPNT,ITER)
********************************************************
*  Print data on the potential and density variations. *
********************************************************
	IMPLICIT REAL*8 (A-C,E-H,O-Z)
	IMPLICIT COMPLEX*16 (D)
	INCLUDE 'PARAM.DAT'
	INTEGER ILST(NSORTMAX),ILSB(NSORTMAX),ILSV(NSORTMAX)
     &   ,IS(NPAT),NRAD(NSORTMAX),LMSYM(LMMAXV,NPAT)
     &   ,INDZPTB(NENVMAX),INDGPTB(0:NENVMAX)
	COMPLEX*16 CNUM0P,DELP(8),DEXPGR
     &   ,DPOT(0:NRADMAX,LMMAXV,NPAT,NSPINMAX)
     &   ,DBXC(0:NRADMAX,LMMAXV,NPAT,NSPINMAX)
     &   ,DRHO(0:NRADMAX,LMMAXV,NPAT,NSPINMAX)
     &   ,DMAG(0:NRADMAX,LMMAXV,NPAT,NSPINMAX)
     &   ,DPSMOM1(LMMAXV,NPAT,NSPINMAX,0:NENVMAX,-1:2)
     &   ,DELMAD (LMMAXV,NPAT,NSPINMAX,0:NENVMAX,-1:2)
     &   ,DPSMOM (LMMAXV,NPAT,NSPINMAX,0:NENVMAX,-1:2)
     &   ,DELMRO (LMMAXV,NPAT,NSPINMAX,0:NENVMAX,-1:2)
     &   ,DELMAG (LMMAXV,NPAT,NSPINMAX,0:NENVMAX,-1:2)
        COMPLEX*16 
     &    DCHINP(LMMAXV,NPAT,NSPINMAX,0:NENVMAX,-1:2)
     &   ,DMGINP(LMMAXV,NPAT,NSPINMAX,0:NENVMAX,-1:2)
	DIMENSION SMT(NSORTMAX),ORTH(2:3),GPLW(3,0:NPLWMAX)
     &    ,TAU(3,NPAT),QPNT(3),QPTB(3,NENVMAX),GPTB(3,0:NENVMAX)
	CHARACTER TXTEL(NSORTMAX)*10,POL(-1:2)*1
        LOGICAL SYM(LMMAXV,NPAT)
C Controls:
	COMMON /CONTROL/LIFT,LMTO,NSPH,NINT                 !!! from readini
	COMMON /PARAM/  NSORT,IS,ILST,ILSB,ILSV,NATOM       !!! from readini
	COMMON /SPIN/   NSPIN                               !!! from readini
C Inputs:
        COMMON /PLZCOM/ NPLZ,LPLZ,IPLZ,NZPTB,QPTB,INDZPTB   !!! from plwcrd
        COMMON /PTBCOM/ NGSHL,NGPTB,GPTB,INDGPTB            !!! from plwptb
	COMMON /POTCOM/ SWZ,SMT                             !!! from readini
        COMMON /SYMMLM/ SYM,LMSYM                           !!! from symmlm
        COMMON /LATPAR/ PAR,ORTH,OMEGAC                     !!! from readini
        COMMON /BASIS/  TAU                                 !!! from readstr
C Density:
	COMMON /DELRO/  DRHO,DMAG                           !!! from delrho
 	COMMON /DROMULT/DELMRO,DPSMOM,DPSMOM1,DELMAD,DELMAG !!! from multdro
C Potential:
	COMMON /DELPOT/ DPOT,DBXC                           !!! from delpot
C Plane waves:
        COMMON /PLWMESH/NPLW,GPLW                           !!! from plwmsh
	COMMON /QMESH/  NQPNT,QPNT                          !!! from qvector
        COMMON /INPDCH/ DCHINP,DPSINP,DMGINP,DMSINP         !!! from print3
C Radial mesh:
	COMMON /RADMESH/NRAD                                !!! from radmsh
C Outputs:
	COMMON /TXTEL/  TXTEL                               !!! from readini
	COMMON /UNIT/   IUN                                 !!! from readini
	DATA PI/3.141592653589793D0/,POL/'m','z','p','v'/
	SQPI4=2.D0*SQRT(PI)
	WRITE(IUN,1001)POL(MY)
	WRITE(IUN,1002)IGPTB,GPTB(1,IGPTB),GPTB(2,IGPTB),GPTB(3,IGPTB)
1001    FORMAT(1X,'MAGNETIC FIELD POLARIZATION  "',A1,'" ')
1002    FORMAT(1X,'G',I2,'=(',G12.5,',',G12.5,',',G12.5,')')
	DO 2000 IATOM=1,NATOM                         !!! over atoms
	ISORT=IS(IATOM)
	WRITE(IUN,1011)IATOM,TXTEL(ISORT)
1011    FORMAT(1X,'Data  variation ::  atom position ',I2,'  ' ,A10)
C  POTENTIAL INFORMATION
	DELP(1)=0.5D0*(DPOT(NRAD(ISORT),1,IATOM,1)+
     &  DPOT(NRAD(ISORT),1,IATOM,NSPIN))/SQPI4
	DELP(2)=0.5D0*(DPOT(NRAD(ISORT),1,IATOM,1)-
     &  DPOT(NRAD(ISORT),1,IATOM,NSPIN))/SQPI4
	DELP(3)=DBXC(NRAD(ISORT),1,IATOM,1)/SQPI4
	DELP(4)=DBXC(NRAD(ISORT),1,IATOM,NSPIN)/SQPI4
	WRITE(IUN,1020)
	WRITE(IUN,1021)CNUM0P(DELP(1),1.D-07)
	WRITE(IUN,1023)CNUM0P(DELP(2),1.D-07)
	WRITE(IUN,1024)CNUM0P(DELP(3),1.D-07)
	WRITE(IUN,1025)CNUM0P(DELP(4),1.D-07)
1020	FORMAT(1X,'Screened potential and magnetic fields ------->')
1021    FORMAT(1X,'Total potential Dpot(S) = (',G14.7,',',G14.7,')')
1023    FORMAT(1X,'Z magnet. field DBm0(S) = (',G14.7,',',G14.7,')')
1024    FORMAT(1X,'M magnet. filed DBm_(S) = (',G14.7,',',G14.7,')')
1025    FORMAT(1X,'P magnet. field DBm+(S) = (',G14.7,',',G14.7,')')
C  CHARGE DENSITY INFORMATION
	DELP(1)=0.5D0*DBLE(NSPIN)*(DRHO(NRAD(ISORT),1,IATOM,1)+
     &  DRHO(NRAD(ISORT),1,IATOM,NSPIN))/SQPI4
	DELP(2)=(DRHO(NRAD(ISORT),1,IATOM,1)-
     &  DRHO(NRAD(ISORT),1,IATOM,NSPIN))/SQPI4
	DELP(3)=DMAG(NRAD(ISORT),1,IATOM,1)/SQPI4
	DELP(4)=DMAG(NRAD(ISORT),1,IATOM,NSPIN)/SQPI4
	WRITE(IUN,1030)
	WRITE(IUN,1031)CNUM0P(DELP(1),1.D-07)
	WRITE(IUN,1033)CNUM0P(DELP(2),1.D-07)
	WRITE(IUN,1034)CNUM0P(DELP(3),1.D-07)
	WRITE(IUN,1035)CNUM0P(DELP(4),1.D-07)
1030	FORMAT(1X,'Induced density and magnetization      ------->')
1031    FORMAT(1X,'Induced density Drho(S) = (',G14.7,',',G14.7,')')
1033    FORMAT(1X,'Z Magnetization DMg0(S) = (',G14.7,',',G14.7,')')
1034    FORMAT(1X,'M Magnetization DMg_(S) = (',G14.7,',',G14.7,')')
1035    FORMAT(1X,'P Magnetization DMg+(S) = (',G14.7,',',G14.7,')')
C  INDUCED CHARGE AND MAGNETIC MOMENTS
	DELP(1)=(DELMRO(1,IATOM,1,IGPTB,MY)+
     &  DELMRO(1,IATOM,NSPIN,IGPTB,MY))/2.D0*DBLE(NSPIN)
	DELP(2)=(DPSMOM(1,IATOM,1,IGPTB,MY)+
     &  DPSMOM(1,IATOM,NSPIN,IGPTB,MY))/2.D0*DBLE(NSPIN)
	DELP(3)=DELMRO(1,IATOM,1,IGPTB,MY)-
     &  DELMRO(1,IATOM,NSPIN,IGPTB,MY)
	DELP(4)=DELMAG(1,IATOM,1,IGPTB,MY)
	DELP(5)=DELMAG(1,IATOM,NSPIN,IGPTB,MY)
	WRITE(IUN,1040)
	WRITE(IUN,1041)CNUM0P(DELP(1),1.D-07)
	WRITE(IUN,1042)CNUM0P(DELP(2),1.D-07)
	WRITE(IUN,1043)CNUM0P(DELP(3),1.D-07)
	WRITE(IUN,1044)CNUM0P(DELP(4),1.D-07)
	WRITE(IUN,1045)CNUM0P(DELP(5),1.D-07)
1040	FORMAT(1X,'Induced charges and magnetic moments   ------->')
1041    FORMAT(1X,'Induced charge in S_mt  = (',G14.7,',',G14.7,')')
1042    FORMAT(1X,'Pseudo  charge in S_mt  = (',G14.7,',',G14.7,')')
1043    FORMAT(1X,'Z Magnetic moment Dmom0 = (',G14.7,',',G14.7,')')
1044    FORMAT(1X,'M Magnetic moment Dmom_ = (',G14.7,',',G14.7,')')
1045    FORMAT(1X,'P Magnetic moment Dmom+ = (',G14.7,',',G14.7,')')
2000	CONTINUE                                       !!! over atoms
C SAVE INPUT INDUCED CHARGE TRANSFER AND MAGNETIC MOMENT
	DO ISPIN=1,NSPIN
	ITRAN=ISPIN
	DO IATOM=1,NATOM
	ISORT=IS(IATOM)
        DO L=0,ILSV(ISORT)
        DO M=-L,L
        LM=L*(L+1)+M+1
        DCHINP(LM,IATOM,ISPIN,IGPTB,MY)=
     &  DELMRO(LM,IATOM,ISPIN,IGPTB,MY)
        DMGINP(LM,IATOM,ITRAN,IGPTB,MY)=
     &  DELMAG(LM,IATOM,ITRAN,IGPTB,MY)
	ENDDO
	ENDDO
	ENDDO
	ENDDO
	RETURN
	END




        SUBROUTINE PRINT4(IGPTB,MY,IQPNT,KEY)
********************************************************
*  Print input/output induced-charge transfer.         *
********************************************************
        IMPLICIT REAL*8 (A-C,E-H,O-Z)
        IMPLICIT COMPLEX*16 (D)
        INCLUDE 'PARAM.DAT'
        INTEGER ILST(NSORTMAX),ILSB(NSORTMAX),ILSV(NSORTMAX)
     &   ,IS(NPAT),NRAD(NSORTMAX),INDZPTB(NENVMAX)
     &   ,INDGPTB(0:NENVMAX)
        COMPLEX*16 CNUM0P
     &   ,DPSMOM1(LMMAXV,NPAT,NSPINMAX,0:NENVMAX,-1:2)
     &   ,DELMAD(LMMAXV,NPAT,NSPINMAX,0:NENVMAX,-1:2)
     &   ,DELMAG(LMMAXV,NPAT,NSPINMAX,0:NENVMAX,-1:2)
     &   ,DPSMOM(LMMAXV,NPAT,NSPINMAX,0:NENVMAX,-1:2)
     &   ,DELMRO(LMMAXV,NPAT,NSPINMAX,0:NENVMAX,-1:2)
     &   ,DCHINP(LMMAXV,NPAT,NSPINMAX,0:NENVMAX,-1:2)
     &   ,DCHOUT(LMMAXV,NPAT,NSPINMAX,0:NENVMAX,-1:2)
     &   ,DMGINP(LMMAXV,NPAT,NSPINMAX,0:NENVMAX,-1:2)
     &   ,DMGOUT(LMMAXV,NPAT,NSPINMAX,0:NENVMAX,-1:2)
	COMPLEX*16 DIFF,DIPINP(0:NENVMAX,-1:2)
     &   ,DIPOUT(0:NENVMAX,-1:2),EXPQR,DELP(8)
     &   ,PSMAT(NENVMAX,NENVMAX,NSPINMAX),SCRINT(NENVMAX,0:NENVMAX,-1:2)
     &   ,SCRMAT(NENVMAX,NENVMAX),DIEMAT(NENVMAX,NENVMAX)
     &   ,TOTINP,TOTOUT,TOTSCR
     &   ,DPSSCR(NENVMAX,NSPINMAX,0:NENVMAX,-1:2)
        DIMENSION SMT(NSORTMAX),QPNT(3),TAU(3,NPAT),ORTH(2:3)
     &   ,GPLW(3,0:NPLWMAX),QPTB(3,NENVMAX),GPTB(3,0:NENVMAX)
        CHARACTER TXTEL(NSORTMAX)*10,POL(-1:2)*1
C Controls:
        COMMON /CONTROL/LIFT,LMTO,NSPH,NINT                 !!! from readini
        COMMON /PARAM/  NSORT,IS,ILST,ILSB,ILSV,NATOM       !!! from readini
	COMMON /SPIN/   NSPIN                               !!! from readini
C Inputs:
        COMMON /QMESH/  NQPNT,QPNT                          !!! from qvector
        COMMON /BASIS/  TAU                                 !!! from readstr
        COMMON /LATPAR/ PAR,ORTH,OMEGAC                     !!! from readini
        COMMON /POTCOM/ SWZ,SMT                             !!! from readini
        COMMON /PTBCOM/ NGSHL,NGPTB,GPTB,INDGPTB            !!! from plwptb
        COMMON /PLZCOM/ NPLZ,LPLZ,IPLZ,NZPTB,QPTB,INDZPTB   !!! from plwcrd
C Polarizability:
        COMMON /PLZMOM/ PSMAT,SCRMAT,DIEMAT,SCRINT          !!! from screen
C Density:
 	COMMON /DROMULT/DELMRO,DPSMOM,DPSMOM1,DELMAD,DELMAG !!! from multdro
        COMMON /INPDCH/ DCHINP,DPSINP,DMGINP,DMSINP         !!! from print3
     &                 ,DCHOUT,DPSOUT,DMGOUT,DMSOUT         !!! from print4
C Plane waves:
        COMMON /PLWMESH/NPLW,GPLW                           !!! from plwmsh
C Radial mesh:
        COMMON /RADMESH/NRAD                                !!! from radmsh
C Outputs:
        COMMON /UNIT/   IUN                                 !!! from readini
        COMMON /TXTEL/  TXTEL                               !!! from readini
        SAVE TOTINP,TOTOUT,TOTSCR,DIPINP,DIPOUT,DPSSCR
        DATA PI/3.141592653589793D0/,POL/'m','z','p','v'/
        SQPI4=2.D0*SQRT(PI)
C  GET SCREENED CHARGE TRANSFER
        IF(KEY.EQ.1)THEN
C  *** PRINT BLOCK *****
        ELSEIF(KEY.EQ.2)THEN
C  OUTPUT INDUCED CHARGE TRANSFER AND MAGNETIC MOMENT
	DO ISPIN=1,NSPIN
	ITRAN=ISPIN
	DO IATOM=1,NATOM
	ISORT=IS(IATOM)
        DO L=0,ILSV(ISORT)
        DO M=-L,L
        LM=L*(L+1)+M+1
        DCHOUT(LM,IATOM,ISPIN,IGPTB,MY)=
     &  DELMRO(LM,IATOM,ISPIN,IGPTB,MY)
        DMGOUT(LM,IATOM,ITRAN,IGPTB,MY)=
     &  DELMAG(LM,IATOM,ITRAN,IGPTB,MY)
	ENDDO
	ENDDO
	ENDDO
	ENDDO
C  OUTPUT INDUCED PSEUDOCHARGE 
	WRITE(IUN,1001)POL(MY)
        WRITE(IUN,1002)IGPTB,GPTB(1,IGPTB),GPTB(2,IGPTB),GPTB(3,IGPTB)
        WRITE(IUN,1000)
1000    FORMAT(1X,'Input/output induced charge transfer, dQ_iat-->')
1001    FORMAT(1X,'MAGNETIC FIELD POLARIZATION  "',A1,'" ')
1002    FORMAT(1X,'G',I2,'=(',G12.5,',',G12.5,',',G12.5,')')
        DO IATOM=1,NATOM                         !!! over atoms
        ISORT=IS(IATOM)
        WRITE(IUN,1010)TXTEL(ISORT)
1010    FORMAT(1X,23X,'dM_iat[INP]',19X,'dM_iat[OUT]',3X,A10)
C  INDUCED CHARGE AND MAGNETIC MOMENTS
	DELP(1)=CNUM0P(DCHINP(1,IATOM,1,IGPTB,MY)+
     &  DCHINP(1,IATOM,NSPIN,IGPTB,MY),1.D-07)/2.D0*DBLE(NSPIN)
	DELP(2)=CNUM0P(DCHINP(1,IATOM,1,IGPTB,MY)-
     &  DCHINP(1,IATOM,NSPIN,IGPTB,MY),1.D-07)
	DELP(3)=CNUM0P(DMGINP(1,IATOM,1,IGPTB,MY),1.D-07)
	DELP(4)=CNUM0P(DMGINP(1,IATOM,NSPIN,IGPTB,MY),1.D-07)
	DELP(5)=CNUM0P(DCHOUT(1,IATOM,1,IGPTB,MY)+
     &  DCHOUT(1,IATOM,NSPIN,IGPTB,MY),1.D-07)/2.D0*DBLE(NSPIN)
	DELP(6)=CNUM0P(DCHOUT(1,IATOM,1,IGPTB,MY)-
     &  DCHOUT(1,IATOM,NSPIN,IGPTB,MY),1.D-07)
	DELP(7)=CNUM0P(DMGOUT(1,IATOM,1,IGPTB,MY),1.D-07)
	DELP(8)=CNUM0P(DMGOUT(1,IATOM,NSPIN,IGPTB,MY),1.D-07)
	WRITE(IUN,1021)DELP(1),DELP(5)
	WRITE(IUN,1022)DELP(2),DELP(6)
	WRITE(IUN,1023)DELP(3),DELP(7)
	WRITE(IUN,1024)DELP(4),DELP(8)
1021    FORMAT(1X,' Charge  :',2X,'(',G12.5,',',G12.5,')',2X,
     &                            '(',G12.5,',',G12.5,')')
1022    FORMAT(1X,'Z-Moment :',2X,'(',G12.5,',',G12.5,')',2X,
     &                            '(',G12.5,',',G12.5,')')
1023    FORMAT(1X,'M-Moment :',2X,'(',G12.5,',',G12.5,')',2X,
     &                            '(',G12.5,',',G12.5,')')
1024    FORMAT(1X,'P-Moment :',2X,'(',G12.5,',',G12.5,')',2X,
     &                            '(',G12.5,',',G12.5,')')
        ENDDO                                       !!! over atoms
        ENDIF
        RETURN
        END
