	SUBROUTINE STRMAT(IATOM,JATOM,SS)
*******************************************************
*  The preparation of the Madelung matrix for the     *
*  calculation of multipoles.                         *
*  Written by S.Savrasov (Lebedev Physical Institute) *
*  Last revision: 30.11.92                            *
*******************************************************
	IMPLICIT REAL*8 (A-H,O-Z)
	INCLUDE 'PARAM.DAT'
	PARAMETER (LPLMAX=(2*LMAXV+3)**2,NDTMAX=NPAT*NPAT)
	INTEGER IS(NPAT),ILST(NSORTMAX),IDELP(NPAT,NPAT)
     &    ,ILSB(NSORTMAX),ILSV(NSORTMAX),NKAP(NPANMAX)
	COMPLEX*16 SIGMA(LPLMAX),SS(LMMAXV1,LMMAXV1)
     &    ,EK(NKAPMAX,NPANMAX)
	DIMENSION C(0:LMAXV+1,LMMAXV1,LMMAXV1)
     &    ,GGNT(0:LMAXV+1,0:LMAXV+1,0:LMAXV+1)
	COMMON /CONTROL/MAN,LMTO,NLR,NINT                   !!! from init
	COMMON /PARAM/  NSORT,IS,ILST,ILSB,ILSV,NATOM       !!! from init
	COMMON /POTCOM/ SWZ,SMT(NSORTMAX)                   !!! from init
	COMMON /VECGEN/ LIMDT                               !!! from vecgen
	COMMON /LM2STR/ IDELP                               !!! from vecgen
	COMMON /LATPAR/ PAR                                 !!! from init
	COMMON /GAUNT/  C,GGNT                              !!! from init
	COMMON /UNIT/   IUN                                 !!! from init
	COMMON /WORD/   NVAL                                !!! from nmtdata
	DATA PI/3.141592653589793D0/
C  RESTORE FULL S(L'L) MATRIX FOR ATOM "IATOM"
	ITAU=IDELP(IATOM,JATOM)
	READ(7,REC=ITAU)LIM4,(SIGMA(LM),LM=1,LIM4)
	DO 40 L1=0,ILSV(IS(IATOM))+1                     !!! over l1
	DO 30 L =0,ILSV(IS(JATOM))+1                     !!! over l
	SOS=(SMT(IS(IATOM))/SWZ)**(L1+0.5)*(SMT(IS(JATOM))/SWZ)**(L+0.5)
	QSOSQ=SQRT(SMT(IS(IATOM))/2.D0)*SOS*SQRT(SMT(IS(JATOM))/2.D0)
	L2=L1+L
	LL2=L2/2
	DO 20 M1=-L1,L1                                  !!! over m1
	L1M1=L1*(L1+1)+M1+1
	DO 10 M =-L,L                                    !!! over m
	LM=L*(L+1)+M+1
	M2=M1-M
	L2M2=L2*(L2+1)+M2+1
	SS(L1M1,LM)=C(LL2,L1M1,LM)*GGNT(LL2,L1,L)*SIGMA(L2M2)*
     &  QSOSQ
  10	CONTINUE                                         !!! over m
  20	CONTINUE                                         !!! over m1
  30	CONTINUE                                         !!! over l
	IF(L1.EQ.1)SS(L1M1,L1M1)=SS(L1M1,L1M1)+
     &  3.D0/NATOM/SWZ**3*SMT(IS(IATOM))**2*SMT(IS(JATOM))**2
  40	CONTINUE                                         !!! over l1
  50	CONTINUE                                         !!! over jatom
	END
